# frozen_string_literal: true

module Ncaa
  class Football < Base
    DIVISIONS = %w[fbs fcs d2 d3].freeze
    RANKINGS = FBS_RANKINGS + FCS_RANKINGS + D2_RANKINGS + D3_RANKINGS
    FBS_RANKINGS = %w[associated-press college-football-playoff usa-today-coaches-poll].freeze
    FCS_RANKINGS = %w[fcs-coaches-poll stats-fcs-top-25 simple-ratings-system].freeze
    D2_RANKINGS = %w[regional-rankings afca-coaches d2footballcom].freeze
    D3_RANKINGS = %w[regional-rankings afca-coaches d3footballcom].freeze

    def metadata
      {
        divisions: DIVISIONS,
        rankings: {
          fbs: FBS_RANKINGS,
          fcs: FCS_RANKINGS,
          d2: D2_RANKINGS,
          d3: D3_RANKINGS
        }
      }
    end

    protected

    def sport_uri
      'football'
    end
  end
end
